Skip to content

Create from 1-500 new binder templates in your Vault.

POST/api/{version}/objects/binders/templates
NameDescription
Content-Typeapplication/json or text/csv
Acceptapplication/json (default) or application/xml

When creating binder templates, the following fields are required in all Vaults:

NameDescription
name__v
optional
The name of the new binder templates. If not included, Vault will use the specified label__v value to generate a value for the name__v field.
label__v
required
The label of the new binder templates. This is the name users will see among the available binder templates in the UI.
type__v
required
The name of the document type to which the templates will be associated.
subtype__v
optional
The name of the document subtype to which the templates will be associated. This is only required if associating the templates with document subtypes.
classification__v
optional
The name of the document classification to which the templates will be associated. This is only required if associating the templates with document classifications.
active__v
required
Set to true or false to indicate whether or not the new binder templates should be set to active, i.e., available for selection when creating a binder.
Download Input File
name__vlabel__vtype__vsubtype__vclassification__vactive__v
binder_template_1__cFirst Binder Templatesite_master_file__vtrue
Binder Template 2trial_master_file__vtrue
Binder Template 3central_trial_documents__vstrial_documents__vsprotocol__vstrue
Binder Template 4central_trial_documents__vsreports__vsclinical_study_report__vsfalse

In this example input, we're creating four new binder templates in our Vault:

  • We've only specified the name__v value for the first template and given it a different label__v value. The other templates will inherit their name__v values from the label__v values.
  • We've specified the document type, subtype, and classification to which each binder template will be associated.

In this example:

  • The input file format is set to CSV.
  • The response format is not set and will default to JSON.
  • The path/name of the CSV input file in our local directory is specified.
curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Content-Type: text/csv" \ --data-binary @"C:\Vault\Templates\add_binder_templates.csv" \ https://myvault.veevavault.com/api/v23.1/objects/documents/templates
{ "responseStatus":"SUCCESS", "data":[ { "responseStatus":"SUCCESS", "name":"binder_template_1__c" }, { "responseStatus":"SUCCESS", "name":"binder_template_2__c" }, { "responseStatus":"SUCCESS", "name":"binder_template_3__c" }, { "responseStatus":"FAILURE", "errors":[ { "type":"INVALID_DATA", "message":"Error message describing why this template was not created." } ] } ] }

On SUCCESS, Vault returns the names of the new binder templates.